%define name darkice
%define version 1.1
%define release %mkrel 1

Summary: DarkIce - A IceCast, IceCast2 and ShoutCast live audio streamer
Summary(de): DarkIce - ein IceCast, IceCast2 und ShoutCast Live Audiostreamer
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	Sound
URL:	http://code.google.com/p/darkice/
Source:	http://code.google.com/p/darkice/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libalsa-devel
BuildRequires:	lame-devel
BuildRequires:	libfaac-devel
BuildRequires:	libjack-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:  libaacplus-devel >= 2.0.2
BuildRequires:	pkgconfig
BuildRequires:	twolame-devel
Requires:	twolame
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version



%description
DarkIce is an IceCast, IceCast2 and ShoutCast live audio streamer. 
It takes audio inputs from a sound card, encodes it into mp3 and/or 
Ogg Vorbis, and sends the mp3 stream to one or more IceCast and/or 
ShoutCast servers, the Ogg Vorbis stream to one or more IceCast2 
servers.

#german
%description -l de
Es greift die Audioeingaben der Soundkarte ab, kodiert sie ins 
MP3- und/oder Ogg-Vorbis-Format und sendet den MP3-Stream zu einem 
oder mehreren IceCast- und/oder ShoutCast-Servern, den 
Ogg-Vorbis-Stream zu einem oder mehreren IceCast2-Servern. DarkIce 
verwendet die gemeinsam genutzte Bibliothek von lame als seinen 
MP3-Encoder und Ogg Vorbis als seinen Ogg Vorbis-Encoder.
 

%prep
%setup -q 


%build
autoreconf -fi

%configure2_5x --prefix=/usr \
	   --with-lame \
	   --with-vorbis \
	   --with-vorbis-prefix=/usr \
	   --with-faac  \
	   --with-twolame \
	   --with-alsa \
	   --with-jack

%make

%install
rm -rf %{buildroot}
%makeinstall_std



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/*.cfg
%{_bindir}/*
%{_mandir}/man*/*

%changelog
* Sun Apr 21 2013 Ken <lxgator at gmail.com> 1.1-1pclos2013
- 1.1

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- 1.0

* Fri Nov 06 2009 slick50 <lxgator at gmail.com> 0.20-1pclos2010
- initial pkg
